import request from '@/utils/request'

// 资质库->查询列表
export function listAPI(params) {
  return request({
    url: '/smartPlatform/mainDatabase/qualification/getList',
    method: 'GET',
    params
  })
}

/* 资质库->新增资质库 */
export function addDataAPI(data) {
  return request({
    url: '/smartPlatform/mainDatabase/qualification/addData',
    method: 'POST',
    data
  })
}

/* 资质库->修改资质库 */
export function editDataAPI(data) {
  return request({
    url: '/smartPlatform/mainDatabase/qualification/editData',
    method: 'POST',
    data
  })
}

/* 资质库->删除资质库 */
export function delDataAPI(data) {
  return request({
    url: '/smartPlatform/mainDatabase/qualification/delData',
    method: 'POST',
    data
  })
}

/* 资质库->查询详情 */
export function getDetailDataAPI(params) {
  return request({
    url: '/smartPlatform/mainDatabase/qualification/getDetailData',
    method: 'GET',
    params
  })
}
